Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class AbstractBinding

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding

Direct Known Subclasses:
  CoordinatorPortTypeImpl, FaultPortTypeImpl, FaultPortTypeImpl, ParticipantPortTypeImpl, RegistrationCoordinatorPortTypeImpl, RegistrationRequesterPortTypeImpl

    public class AbstractBinding

extends Object

Copyright © 2005, Atomikos. All rights reserved. Generic binding support for WS-Addressing enabled services.

Field Summary
`protected javax.xml.ws.WebServiceContext` | `ctx`

Constructor Summary
`AbstractBinding()`

Method Summary
`protected CompositeTransaction` | `findTransaction()` Finds the transaction (if any) from the reference parameters in the target address.
`protected javax.xml.ws.handler.MessageContext` | `getMessageContext()`
`protected IncomingAddressingHeaders` | `getSenderAddress()`
`protected String` | `getSenderURI()` Gets/extracts/creates a URI representation of the remote sender of a message.
`protected Object` | `getTargetAddress()`
`protected String` | `getTargetURI()` Gets/creates/extracts a URI representation of the target of a message.
`protected void` | `logMessageIfDebug()`
`protected void` | `sendInvalidParametersFault()`
`protected void` | `sendInvalidProtocolFault()`
`protected void` | `sendInvalidStateFault()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected javax.xml.ws.WebServiceContext ctx

Constructor Detail

### AbstractBinding

    public AbstractBinding()

Method Detail

### getMessageContext

    protected javax.xml.ws.handler.MessageContext getMessageContext()

### getTargetURI

    protected String getTargetURI()

  Gets/creates/extracts a URI representation of the target of a message. This URI is needed internally, to represent the target as a unique String value.

  Returns:
    The URI, derived from the the address data and address reference properties.

### getTargetAddress

    protected Object getTargetAddress()

### getSenderURI

    protected String getSenderURI()

  Gets/extracts/creates a URI representation of the remote sender of a message. This URI is needed internally, to represent the remote sender as a unique String value.

  Returns:
    The URI, constructed from the concatenation of the address data and address reference properties.

### getSenderAddress

    protected IncomingAddressingHeaders getSenderAddress()

### findTransaction

    protected CompositeTransaction findTransaction()

  Finds the transaction (if any) from the reference parameters in the target address.

  Returns:
    The transaction or null if none.

### logMessageIfDebug

    protected void logMessageIfDebug()

### sendInvalidStateFault

    protected void sendInvalidStateFault()
                                  throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### sendInvalidProtocolFault

    protected void sendInvalidProtocolFault()
                                     throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### sendInvalidParametersFault

    protected void sendInvalidParametersFault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.